varying mediump vec2 var_texcoord0;

uniform lowp sampler2D DIFFUSE_TEXTURE;
uniform lowp vec4 tint;

void main()
{
    // Pre-multiply alpha since all runtime textures already are
    lowp vec4 tint_pm = vec4(tint.xyz * tint.w, tint.w);
    //gl_FragColor = texture2D(DIFFUSE_TEXTURE, var_texcoord0.xy) * tint_pm;


    lowp float distance = texture2D(DIFFUSE_TEXTURE, var_texcoord0).x;

    lowp float sdf_edge = 0.0;
    lowp float sdf_outline = 0.3;
    lowp float sdf_smoothing = 0.005;

    lowp float alpha = smoothstep(sdf_edge - sdf_smoothing, sdf_edge + sdf_smoothing, distance);
    lowp float outline_alpha = smoothstep(sdf_outline - sdf_smoothing, sdf_outline + sdf_smoothing, distance);
    lowp vec4 color = mix(tint_pm * 0.5, tint_pm, alpha);

    gl_FragColor = color * outline_alpha;    
}
