varying mediump vec4 var_position;
varying mediump vec3 var_normal;
varying mediump vec2 var_texcoord0;

uniform lowp sampler2D tex0;
uniform lowp sampler2D clouds;
uniform lowp vec4 tint;
uniform lowp vec4 time;

void main()
{
    // Pre-multiply alpha since all runtime textures already are
    vec4 tint_pm = vec4(tint.xyz * tint.w, tint.w);
    vec4 color = texture2D(tex0, var_texcoord0.xy) * tint_pm;
    mediump vec2 var_texcoord1 = vec2(var_texcoord0.x * 0.5 + time.x * 0.25 + sin(time.x) * 10, (var_texcoord0.y + 200.0) * 0.5  + time.x * 1.4 + cos(time.x) * 6);
    mediump vec2 var_texcoord2 = vec2(var_texcoord0.x * 0.6 + time.x * 0.3 * sin(time.x), (var_texcoord0.y + 200.0) * 0.8  + time.x * 1.4 * cos(time.x));    
    mediump vec2 var_texcoord3 = vec2(var_texcoord0.x * 0.3 + time.x * 0.3 * sin(time.x) * 0.2, (var_texcoord0.y + 200.0) * 0.4  + time.x * 1.4 * cos(time.x) * 0.1);    
    vec4 clouds1 = texture2D(clouds, var_texcoord1.xy) * tint_pm;
    vec4 clouds2 = texture2D(clouds, var_texcoord2.xy) * tint_pm;
    vec4 clouds3 = texture2D(clouds, var_texcoord3.xy) * tint_pm;
    vec3 storm_color = vec3(28.0/255.0,162.0/255.0,229.0/255.0);
    //gl_FragColor = color;
    //gl_FragColor = vec4((storm_color * (1.0 - color.r)) * 0.5 + clouds1.rgb * (1.0 - color.r) * 0.4 + clouds3.rgb * (1.0 - color.r) * 0.3 + clouds2.rgb * (1.0 - color.r) * 0.6, (1.0 - color.r) * 0.9);
    gl_FragColor = vec4((storm_color * (1.0 - color.r)) * 0.5 + clouds1.rgb * (1.0 - color.r) * 0.4 + clouds3.rgb * (1.0 - color.r) * 0.3 + clouds2.rgb * (1.0 - color.r) * 0.6, (1.0 - color.r) * 0.9);
}

